package com.hw.ems.base.service;

import java.util.List;

import com.hw.ems.base.domain.SysDatasource;

/**
 * 园区数据库Service接口
 *
 * @author sf
 * @date 2023-04-20
 */
public interface ISysDatasourceService {
    /**
     * 查询园区数据库
     *
     * @param id 园区数据库主键
     * @return 园区数据库
     */
    public SysDatasource selectSysDatasourceById(String id);

    /**
     * 查询园区数据库列表
     *
     * @param sysDatasource 园区数据库
     * @return 园区数据库集合
     */
    public List<SysDatasource> selectSysDatasourceList(SysDatasource sysDatasource);

    /**
     * 新增园区数据库
     *
     * @param sysDatasource 园区数据库
     * @return 结果
     */
    public int insertSysDatasource(SysDatasource sysDatasource);

    /**
     * 修改园区数据库
     *
     * @param sysDatasource 园区数据库
     * @return 结果
     */
    public int updateSysDatasource(SysDatasource sysDatasource);

    /**
     * 批量删除园区数据库
     *
     * @param ids 需要删除的园区数据库主键集合
     * @return 结果
     */
    public int deleteSysDatasourceByIds(String[] ids);

    /**
     * 删除园区数据库信息
     *
     * @param id 园区数据库主键
     * @return 结果
     */
    public int deleteSysDatasourceById(String id);

    SysDatasource selectSysDatasourceByPoolName(String sf_energy);

    SysDatasource selectSysDatasourceByCbsParkCode(String cbsParkCode);

    public List<SysDatasource> selectSysDatasource();
}
